module.exports = {
  create: {
    requestBody: [
      "!name",
      "!address",
      "!area",
      "!create_time",
      "!image",
      "!content",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!name",
      "!address",
      "!area",
      "!create_time",
      "!image",
      "!content",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        address: "address",
        area: "area",
        create_time: "create_time",
        image: "image",
        content: "content",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
