module.exports = {
  create: {
    requestBody: ["name", "brief", "content", "filepath", "create_time"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["name", "brief", "content", "filepath", "create_time"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
        brief: "brief",
        content: "content",
        filepath: "filepath",
        create_time: "create_time",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
